# MatMatMultNumeric

Performs the numeric matrix-matrix product. Call this routine after first calling MatMatMultSymbolic().

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatMatMultNumeric(Mat A,Mat B,Mat C)

Collective on Mat

### Input Parameters

| A | - the left matrix
| B | - the right matrix

### Output Parameters

C -the product matrix, whose ij structure was defined from MatMatMultSymbolic().

### Notes

C must have been created with MatMatMultSymbolic.

This routine is currently implemented for - pairs of AIJ matrices and classes which inherit from AIJ, C will be of type MATAIJ. - pairs of AIJ (A) and Dense (B) matrix, C will be of type MATDENSE.

### See Also

MatMatMult(), MatMatMultSymbolic()

Level:intermediate
Location: src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages